CVE Vulnerabilities

CVE-2022-20452

Published: Nov 08, 2022 | Modified: Nov 09, 2022
CVSS 3.x
7.8
HIGH
Source:
NVD
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
CVSS 2.x
RedHat/V2
RedHat/V3
Ubuntu
MEDIUM

In initializeFromParcelLocked of BaseBundle.java, there is a possible method arbitrary code execution due to a confused deputy. This could lead to local escalation of privilege with no additional execution privileges needed. User interaction is not needed for exploitation.Product: AndroidVersions: Android-13Android ID: A-240138318

Affected Software

Name Vendor Start Version End Version
Android Google 13.0 (including) 13.0 (including)
Android-platform-frameworks-base Ubuntu bionic *
Android-platform-frameworks-base Ubuntu kinetic *
Android-platform-frameworks-base Ubuntu lunar *
Android-platform-frameworks-base Ubuntu trusty *
Android-platform-frameworks-base Ubuntu xenial *

References